[
    {
        "Id": "d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181",
        "Created": "2025-08-13T02:01:55.888906181Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "mariadbd"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 1507072,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-13T02:01:56.100339064Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:300929c28ab758f3322f12273e9e8b0f2233d8af06050bd1b9e17133cc5beb1a",
        "ResolvConfPath": "/var/lib/docker/containers/d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181/hostname",
        "HostsPath": "/var/lib/docker/containers/d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181/hosts",
        "LogPath": "/var/lib/docker/containers/d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181/d4dd1fc461331efc5525c98a48bcb6119a6807e7c7b95d5377858ac3b5a9d181-json.log",
        "Name": "/mariadb",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/data/compose/5/mariadb-data:/var/lib/mysql:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "mariadb_homeassistant_network",
            "PortBindings": {
                "3306/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "3306"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 1073741824,
            "NanoCpus": 500000000,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 536870912,
            "MemorySwap": 2147483648,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/612b6bf03a40e58faab577d95699e67320b0d3c3bc1e740dc4c99234919a7a8d-init/diff:/var/lib/docker/overlay2/38e23f89386f2edded8fb53123b15f78c4f450e5889a93dd53efa25e03764455/diff:/var/lib/docker/overlay2/d4a65a7cb025eb7f75ebd07e1105ac44bf6fe6c1acd1b025b9dcb68f85b1c626/diff:/var/lib/docker/overlay2/35d549a698f63e29286f338151157153da33e0f5dcfe9fd65c28f282129ee483/diff:/var/lib/docker/overlay2/d871f3031589d07bb2ddce073b06389d49fffc54c03736930927ced90c72a30f/diff:/var/lib/docker/overlay2/ddeaa07537479d19dc6b3d84086bb6a13f5afaa800bf96668fd88fb0e27c314d/diff:/var/lib/docker/overlay2/5965689e8fa4c808c6f0759e2c5483cf0a56204b3c21bee901aeb453bf1b5a8c/diff:/var/lib/docker/overlay2/36ce676e934df0bf03d6258573d2311a5f48ba0ff6e89e5b412f2cea50bcad7c/diff:/var/lib/docker/overlay2/8b7c3633402acafe1c5f4950bc403667cc376568c4af170b5444fbd94cf392c1/diff",
                "MergedDir": "/var/lib/docker/overlay2/612b6bf03a40e58faab577d95699e67320b0d3c3bc1e740dc4c99234919a7a8d/merged",
                "UpperDir": "/var/lib/docker/overlay2/612b6bf03a40e58faab577d95699e67320b0d3c3bc1e740dc4c99234919a7a8d/diff",
                "WorkDir": "/var/lib/docker/overlay2/612b6bf03a40e58faab577d95699e67320b0d3c3bc1e740dc4c99234919a7a8d/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/data/compose/5/mariadb-data",
                "Destination": "/var/lib/mysql",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "16e8a15a6153",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "3306/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "MYSQL_USER=homeassistant",
                "MYSQL_PASSWORD=your_secure_password",
                "MYSQL_ROOT_PASSWORD=your_secure_root_password",
                "MYSQL_DATABASE=homeassistant",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "GOSU_VERSION=1.17",
                "LANG=C.UTF-8",
                "MARIADB_VERSION=1:12.0.2+maria~ubu2404"
            ],
            "Cmd": [
                "mariadbd"
            ],
            "Image": "mariadb:latest",
            "Volumes": {
                "/var/lib/mysql": {}
            },
            "WorkingDir": "",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "67c7f05d5d4cacef80ae124580b15c1681e030f960d0031daaeb1d33eb68dad6",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:9f3d79eba61eb2baf4b8e9f31ebe28eca086a4051ed90378e5e4a09d3252c139",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "mariadb",
                "com.docker.compose.project.config_files": "",
                "com.docker.compose.project.working_dir": "/data/compose/5",
                "com.docker.compose.replace": "1e4a582d3cb985dedd663d261302838fabf97d0acd1eb6ecf9d0dbf08d8b0fdc",
                "com.docker.compose.service": "mariadb",
                "com.docker.compose.version": "",
                "org.opencontainers.image.authors": "MariaDB Community",
                "org.opencontainers.image.base.name": "docker.io/library/ubuntu:noble",
                "org.opencontainers.image.description": "MariaDB Database for relational SQL",
                "org.opencontainers.image.documentation": "https://hub.docker.com/_/mariadb/",
                "org.opencontainers.image.licenses": "GPL-2.0",
                "org.opencontainers.image.ref.name": "ubuntu",
                "org.opencontainers.image.source": "https://github.com/MariaDB/mariadb-docker",
                "org.opencontainers.image.title": "MariaDB Database",
                "org.opencontainers.image.url": "https://github.com/MariaDB/mariadb-docker",
                "org.opencontainers.image.vendor": "MariaDB Community",
                "org.opencontainers.image.version": "12.0.2"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "cffc29faf953d22a5fbd088b2ced30f70a07f9b9a7155217fbb6040df798ee3b",
            "SandboxKey": "/var/run/docker/netns/cffc29faf953",
            "Ports": {
                "3306/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "3306"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "3306"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "homeassistant_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "16e8a15a6153"
                    ],
                    "MacAddress": "02:42:ac:1d:00:02",
                    "DriverOpts": null,
                    "NetworkID": "a283774dd4673a8ba36a6b42458458382a8c188cf961e47c97fc422e5bb95292",
                    "EndpointID": "df90438d609cfb12491a5fc24c492975e17e66f066e4090b8338bcc527c22e9e",
                    "Gateway": "172.29.0.1",
                    "IPAddress": "172.29.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "mariadb",
                        "16e8a15a6153",
                        "d4dd1fc46133"
                    ]
                }
            }
        }
    }
]
